Bug 13950 - Sort Item search home library list by branch name
Summary: Sort Item search home library list by branch name
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-03 02:00 UTC by HB-NEKLS
Modified: 2017-06-14 22:05 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13950: Sort Item search home library list by branch name (1.02 KB, patch)
2015-06-09 01:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 13950: Sort Item search home library list by branch name (1.17 KB, patch)
2015-06-09 16:24 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13950 - Sort Item search home library list by branch name (1.28 KB, patch)
2015-06-17 01:52 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13950 - Sort Item search home library list by branch name (1.35 KB, patch)
2015-06-17 05:36 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 13950 - Sort Item search home library list by branch name (1.42 KB, patch)
2015-06-17 07:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description HB-NEKLS 2015-04-03 02:00:43 UTC
The home library option in the new item search feature needs to be alphabetized. Our system displays the options: 
All Libraries
Leavenworth...
Carbondale...
Prairie Hills Schools -- Sabetha...
Lyndon...

and so on.
Comment 1 Katrin Fischer 2015-06-09 01:47:50 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-06-09 16:24:57 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-16 15:29:11 UTC
It does not work, this patch makes the items sorted by branch codes, not branch names. Which is what we want, I guess.
Comment 4 Katrin Fischer 2015-06-16 22:52:14 UTC
I was struggling a bit with this one and copied the wrong bit of code from somewhere I think - can you take a look and provide a better patch or some hints?
Comment 5 Nick Clemens 2015-06-17 01:52:28 UTC Comment hidden (obsolete)
Comment 6 Indranil Das Gupta 2015-06-17 05:36:42 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-06-17 06:18:34 UTC
Thx Nick and Indranil :)
Comment 8 Jonathan Druart 2015-06-17 07:58:20 UTC
Created attachment 40213 [details] [review]
Bug 13950 - Sort Item search home library list by branch name

On the item search form the list of home libraries isn't sorted
alphabetically by their descrption.

To test:
- Ensure that you have libraries whose code/name are sorted in a different alphabetical order (e.g. Aardvark/ZZZ & Zebra/AAA)
- Staff: Advanced search - item search
- See that libraries are sorted in code order
- Apply patch
- Verify selection block for home library is correctly sorted after
  applying the patch.

Signed-off-by: Indranil Das Gupta (L2C2 Technologies) <indradg@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 9 Tomás Cohen Arazi 2015-07-08 18:19:10 UTC
Patch pushed to master.

Thanks Nick!
Comment 10 Chris Cormack 2015-07-14 20:08:52 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 11 Liz Rea 2015-07-20 22:16:39 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 12 Mason James 2015-07-25 07:09:38 UTC
Patch not pushed 3.16.x branch, due to conflicts